Index: trunk/workflow/inc/class.utils.string.php
===================================================================
--- trunk/workflow/inc/class.utils.string.php	(revision 795)
+++ trunk/workflow/inc/class.utils.string.php	(revision 5934)
@@ -30,5 +30,5 @@
 	 */
 	function stripBlank($str, $replace=' ') {
-		return ereg_replace("[[:blank:]]{1,}", $replace, $str);
+		return preg_replace('/[[:blank:]]{1,}/', $replace, $str);
 	}
 	
@@ -405,17 +405,17 @@
 		switch ($filterType) {
 			case 'alpha' :
-				return (ereg_replace("[^a-zA-Z]", $replaceStr, $str));
+				return (preg_replace('/[^a-zA-Z]/', $replaceStr, $str));
 			case 'alphalower' :
-				return (ereg_replace("[^a-z]", $replaceStr, $str));
+				return (preg_replace('/[^a-z]/', $replaceStr, $str));
 			case 'alphaupper' :
-				return (ereg_replace("[^A-Z]", $replaceStr, $str));
+				return (preg_replace('/[^A-Z]/', $replaceStr, $str));
 			case 'num' :
-				return (ereg_replace("[^0-9]", $replaceStr, $str));
+				return (preg_replace('/[^0-9]/', $replaceStr, $str));
 			case 'alphanum' :
-				return (ereg_replace("[^0-9a-zA-Z]", $replaceStr, $str));
+				return (preg_replace('/[^0-9a-zA-Z]/', $replaceStr, $str));
 			case 'htmlentities' :
-				return (ereg_replace("&[[:alnum:]]{0,};", $replaceStr, $str));
+				return (preg_replace('/&[[:alnum:]]{0,};/', $replaceStr, $str));
 			case 'blank' :
-				return (ereg_replace("[[:blank:]]{1,}", $replaceStr, $str));
+				return (preg_replace('/[[:blank:]]{1,}/', $replaceStr, $str));
 			default :
 				return $str;
@@ -625,7 +625,7 @@
 	 */
 	function wrap($str, $num, $breakString="\n") {
-		$str = ereg_replace("([^\r\n])\r\n([^\r\n])", "\\1 \\2", $str);
-		$str = ereg_replace("[\r\n]*\r\n[\r\n]*", "\r\n\r\n", $str);
-		$str = ereg_replace("[ ]* [ ]*", ' ', $str);
+		$str = preg_replace('/([^\r\n])\r\n([^\r\n])/', "\\1 \\2", $str);
+		$str = preg_replace('/[\r\n]*\r\n[\r\n]*/', "\r\n\r\n", $str);
+		$str = preg_replace('/[ ]* [ ]*/', ' ', $str);
 		$str = stripslashes($str);
 		$processed = '';
Index: trunk/workflow/inc/class.utils.php
===================================================================
--- trunk/workflow/inc/class.utils.php	(revision 795)
+++ trunk/workflow/inc/class.utils.php	(revision 5934)
@@ -389,5 +389,5 @@
 		}
 		foreach ($jsEvents as $event => $action)
-			$scriptStr .= " $event=\"" . ereg_replace("\"", "'", $action) . "\"";
+			$scriptStr .= " $event=\"" . preg_replace("/\"/", "'", $action) . "\"";
 		return sprintf("<a href=\"%s\"%s%s%s%s%s%s%s%s>%s</a>", htmlentities($url),
 			(!empty($name) ? " name=\"{$name}\"" : ""),
Index: trunk/workflow/inc/class.BrowserInfo.inc.php
===================================================================
--- trunk/workflow/inc/class.BrowserInfo.inc.php	(revision 5928)
+++ trunk/workflow/inc/class.BrowserInfo.inc.php	(revision 5934)
@@ -271,7 +271,7 @@
 
 		// clean up extraneous garbage that may be in the name
-		$bd['browser'] = ereg_replace("[^a-z,A-Z]", "", $bd['browser']);
+		$bd['browser'] = preg_replace('/[^a-z,A-Z]/', '', $bd['browser']);
 		// clean up extraneous garbage that may be in the version
-		$bd['version'] = ereg_replace("[^0-9,.,a-z,A-Z]", "", $bd['version']);
+		$bd['version'] = preg_replace('/[^0-9,.,a-z,A-Z]/', '', $bd['version']);
 
 		// check for AOL
@@ -280,5 +280,5 @@
 			$var = stristr($agent, "AOL");
 			$var = explode(" ", $var);
-			$bd['aol'] = ereg_replace("[^0-9,.,a-z,A-Z]", "", $var[1]);
+			$bd['aol'] = preg_replace('/[^0-9,.,a-z,A-Z]/', '', $var[1]);
 		}
 
Index: trunk/workflow/inc/phplot/phplot.php
===================================================================
--- trunk/workflow/inc/phplot/phplot.php	(revision 5928)
+++ trunk/workflow/inc/phplot/phplot.php	(revision 5934)
@@ -941,5 +941,5 @@
         else {
             // Split the text by its lines, and count them
-            $which_text = ereg_replace("\r", "", $which_text);
+            $which_text = preg_replace('/\r/', '', $which_text);
             $str = split("\n", $which_text);
             $nlines = count($str);